### Method

# Camel Session get_junk_filter

since: 3.2

#### Declaration [src]

    CamelJunkFilter*
    camel_session_get_junk_filter (
      CamelSession* session
    )

#### Description [src]

Returns the `CamelJunkFilter` instance used to classify messages as junk or not junk during filtering.

Note that `CamelJunkFilter` itself is just an interface. The application must implement the interface and install a `CamelJunkFilter` instance for junk filtering to take place.

Available since: 3.2

Gets property | `Camel.Session:junk-filter`

#### Return value

Type: `CamelJunkFilter`

A `CamelJunkFilter`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.